V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
zedking
V2EX  ›  iOS

iOS17 如何虚拟定位

  •  
  •   zedking · 306 天前 · 10045 次点击
    这是一个创建于 306 天前的主题,其中的信息可能已经有所发展或是发生改变。

    如题,今天凌晨升级完 iOS17 之后突然发现没办法使用爱思助手改定位了。之前 iOS14 、15 、16 都用的爱思助手,爱思客服说是苹果相关的系统权限没有开放。 有没有大佬知道现在要咋该定位,google 半天也没找到靠谱的。

    35 条回复    2024-06-24 14:18:41 +08:00
    zedking
        1
    zedking  
    OP
       306 天前
    坐等一个大佬!
    janzwong
        2
    janzwong  
       306 天前
    之前一致用的 any go 一款 mac 上的软件,不知道 ios17 能不能用,很久没用过了。
    zedking
        3
    zedking  
    OP
       306 天前
    @janzwong 没 Mac 设备 :(
    moefishtang
        4
    moefishtang  
       306 天前
    这个可以吗?
    https://www.simulate.vip/
    daxuexue
        5
    daxuexue  
       306 天前
    爱思助手好像可以
    daxuexue
        6
    daxuexue  
       306 天前
    尴尬 没审题
    CryptoKieran
        7
    CryptoKieran  
       306 天前
    anygo 最新版可以 已经支持 ios17
    QinYu0226
        8
    QinYu0226  
       306 天前 via Android
    那就应该无解,17 连越狱都没出来,本身就不能这样折腾。苹果把漏洞堵上了吧。
    Silently
        9
    Silently  
       306 天前 via iPhone
    ios17 可以的、只是之前要先打开开发者模式,但是现在 ios17 爱思工具不能调用、我印象公测版我用另一个软件先打开开发者模式在用爱思定位就可以
    liuidetmks
        10
    liuidetmks  
       306 天前
    换个思路,伪造 gps 信号呢,淘宝有相应的设备,嫌贵可以找人分摊
    polobug
        11
    polobug  
       306 天前 via iPhone
    备用机解决了
    oIMOo
        12
    oIMOo  
       306 天前
    看 OP 是 windows 用户,macOS/Linux 用户可以看看这个项目: https://github.com/master131/iFakeLocation/issues/141
    新版赞未支持 Windows

    还有另外一个目前正在努力: https://github.com/Schlaubischlump/LocationSimulator/issues/171
    oIMOo
        13
    oIMOo  
       306 天前
    @oIMOo #12 暂*
    twoxia
        14
    twoxia  
       305 天前 via iPhone
    @CryptoKieran anygo mac 版已经支持 iOS17 ,windows 版还不支持
    qq2511296
        15
    qq2511296  
       305 天前
    爱思这种改 gps 的 好像会被钉钉 企业微信识别出来
    zedking
        16
    zedking  
    OP
       305 天前
    @liuidetmks 淘宝关键字是什么 搜"虚拟定位" "伪造 gps"之类的搜不到诶
    zj9495
        17
    zj9495  
       305 天前
    xcode 调试可以虚拟定位没人知道吗?从 iOS9 用到 iOS17 一直很稳,缺点就是必须要用 mac
    123test1010
        18
    123test1010  
       305 天前
    AnyGo 6.5 版本以上都支持 ios17 ,有开心版你自己找找
    qq2511296
        19
    qq2511296  
       305 天前
    @zedking 搜类似这样的关键字 地图标注商户商铺高德百度位置定位公司店铺商家导航地址认证标记
    直接问店家外设怎么卖,目前价格好像要 200-300 左右了
    nomadic08
        20
    nomadic08  
       304 天前 via iPhone
    anygo 可以 ios17 ,有白嫖版本不
    yoskd
        21
    yoskd  
       302 天前
    找了好久 anygo 6.5 版本,分享给大家,http://koalaid.com/1890.html
    ZAnko
        22
    ZAnko  
       300 天前
    @yoskd 感谢大哥!!!亲测可用!!!
    zedking
        23
    zedking  
    OP
       300 天前
    @zj9495 如果我用 windwos 装 mac 虚拟机能做到改定位吗
    zedking
        24
    zedking  
    OP
       298 天前
    亲测可以虚拟机 MAC 改定位 有救了!
    gyzj090000
        25
    gyzj090000  
       297 天前
    @zedking 装了虚拟机之后怎么弄?安装 any go 吗?
    zedking
        26
    zedking  
    OP
       288 天前
    @gyzj090000 对的 虚拟机装 mac 然后装 anygo 。
    RealMan
        27
    RealMan  
       283 天前
    https://github.com/RManLuo/FakePosition

    自己造了一个轮子,支持 IOS17+修改定位,暂只支持 MAC 电脑。
    Honry
        28
    Honry  
       282 天前
    @RealMan 已成功修改定位,感谢大佬的工具。PS:咨询一下大佬,经纬度用哪个地图的最准确?
    foufoufm
        29
    foufoufm  
       257 天前
    @RealMan 需要数据线连接电脑吗?
    RealMan
        30
    RealMan  
       251 天前
    @foufoufm 需要的
    MsHan
        31
    MsHan  
       249 天前
    评论区的能绕过 App 检测吗?
    iu1ea1ivJeBVtRah
        32
    iu1ea1ivJeBVtRah  
       213 天前
    @zj9495 成功了,感谢!!!
    waner3keatssn123
        33
    waner3keatssn123  
       156 天前
    鲨漏验机 这个软件试试
    selicty
        34
    selicty  
       85 天前
    我看了一下,这个主题是 iOS17 的修改定位。
    我的机子是 12PM ,14.3 ,用的 Fake GPS Pro
    近期这个插件被检测到了,很心烦

    查了一下,Fake GPS Pro 虽然是属于 App 类的插件,但是要改定位,还是需要注入一个叫 GPSTravellerTweakProX 的插件进入钉钉,钉钉现在对于检测的强度又严格了很多

    我看了一下上面大佬说的,有通过安装 Windows 端修改的,有用 Any Go 修改的,但是这些都需要有电脑或 Mac

    现在的问题是,我现在准备卸载掉 Fake GPS Pro ,改用巨魔 2 来定位,但我不是钉钉管理员,我没有那么多试错机会

    由于手机已越狱,用的魔术师屏蔽了越狱,又用 Choicy 禁止了钉钉被注入插件

    但是即使是这样,完全使用真实地址,钉钉还是会提示怀疑使用了非法软件

    我实在不知道钉钉是怎么检测的,很多人说,要降钉钉的版本,但我觉得打卡检测行为,不是钉钉在检测,而是钉钉打卡在检测,因为钉钉打卡这个模块,属于钉钉的一个小程序模块,这个模块的云更新不依赖钉钉主程序的版本(太低的钉钉版本不行,会提示钉钉版本太低),所以,现在要如何才能不被钉钉打卡检测到?
    3img
        35
    3img  
       27 天前
    @RealMan 只支持 mac 的原因是啥
    关于   ·   帮助文档   ·   博客   ·   API   ·   FAQ   ·   实用小工具   ·   2525 人在线   最高记录 6679   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 25ms · UTC 12:36 · PVG 20:36 · LAX 05:36 · JFK 08:36
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.